//
// Classe de base pour les connections reseau en IP
// D.Etasse, D.Cussol : 16/06/2006
//

#ifndef FIPUdpServer_h
#define FIPUdpServer_h

#include "FIPUdpConnection.h"

class FIPUdpServer : public FIPUdpConnection
 {
 private:
   void Init(void);
 
 public:
   FIPUdpServer(void); 		     // constructeur par default
   FIPUdpServer(const FIPUdpServer& conn); // constructeur par copie
   virtual void Copy(TObject& c) const; // copie
   FIPUdpServer& operator=(const FIPUdpServer& conn); // operateur =
   ~FIPUdpServer(void); 		     // destructeur
 
   virtual void Open(Int_t port, Char_t *ipaddress=0);
   virtual Int_t  ReadBuf(UChar_t *buf,Int_t bufLen);
   virtual Int_t  WriteBuf(UChar_t *buf,Int_t bufLen);
 
   ClassDef(FIPUdpServer,1)

 };
#endif
