// 
// Classe MLineMark pour fixer des reperes dans un pad
//

#ifndef MLineMark_h
#define MLineMark_h

#include "TLine.h"
#include "TQObject.h"

class MLineMark: public TLine,public TQObject
{
 
 protected: 
  virtual void *GetSender() { return this; }
  virtual void UpdateCoord(Int_t px1, Int_t py1,Int_t px2, Int_t py2);

 public:
  MLineMark(void);
  MLineMark(Double_t x1,Double_t y1,Double_t x2,Double_t y2);
  ~MLineMark(void);

  virtual void ExecuteEvent(Int_t event, Int_t px, Int_t py);
  virtual void Moved(){;} //SIGNAL 
  
ClassDef(MLineMark,1)
};

#endif
